#!/bin/bash

# base directory path
basepath='/mnt/k8s-storage/pihole'
srcdir='pihole-1'
dstdir='pihole-2'
# declare and populate indexed sync array
syncarray=('etc-pihole/custom.list' 'etc-dnsmasq-d/05-pihole-custom-cname.conf')

curdate=$(date +%Y%m%d-%H%M%S)

echo "pihole dns sync run: ${curdate}"

for i in "${syncarray[@]}"
do
    echo "syncing $i"
    echo cp ${basepath}/${srcdir}/${i} ${basepath}/${dstdir}/${i}
done

echo "pihole dns sync run completed"

